MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024552Open CASCADE[OCCT] OCCT:Codingpublic2014-01-22 13:462014-11-11 12:51
Reporterdln 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024552: Convertation of the generic classes to the non-generic (BndLib)
DescriptionPackage "BndLib":

Functionality of the files "BndLib_Compute.gxx", "BndLib_Compute2d.cxx" and "BndLib_Compute3d.cxx" (methods Compute(...) for 2d and 3d cases) moved to BndLib.cxx (to the template method Compute(...)). For that had to edit work with points and coordinates a little i.e. method Compute(...) was updated and some methods where Compute(..) is called in "BndLib.cxx".
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024487closedabv Getting rid of generic CDL classes 

-  Notes
(0027598)
dln (developer)
2014-01-22 13:51

Changes are ready for review in CR24552 branch.
(0027611)
abv (manager)
2014-01-22 17:35

No remarks (I have pushed one more commit containing minor correction), please test
(0027627)
mkv (tester)
2014-01-23 13:26

Dear BugMaster,

Branch CR24552 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 898302b55d034c69e19b4340912e58ac4b85a7f5

Number of compiler warnings:

occt component :
Linux: 48 (48 on master)
Windows: 1 (1 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 372570988 / 373449112
Total CPU difference: 41697.51000000006 / 44038.530000000166

Testing on Windows:
Total MEMORY difference: 417627288 / 417426984
Total CPU difference: 32236.5625 / 32472.5

There are not differences in images found by testdiff.

- Related Changesets
occt: master 1190746b
Timestamp: 2014-01-23 09:50:42
Author: dln
Committer: bugmaster
Details ] Diff ]
0024552: Convertation of the generic classes to the non-generic (BndLib).

Package "BndLib":
Functionality of the files "BndLib_Compute.gxx", "BndLib_Compute2d.cxx" and "BndLib_Compute3d.cxx" (methods Compute(...) for 2d and 3d cases) moved to BndLib.cxx (to the template method Compute(...)). For that had to edit work with points and coordinates a little i.e. method Compute(...) was updated and some methods where Compute(..) is called in "BndLib.cxx".
mod - src/BndLib/BndLib.cxx Diff ] File ]
rm - src/BndLib/BndLib_Compute.gxx Diff ] File ]
rm - src/BndLib/BndLib_Compute.hxx Diff ] File ]
rm - src/BndLib/BndLib_Compute2d.cxx Diff ] File ]
rm - src/BndLib/BndLib_Compute3d.cxx Diff ] File ]
rm - src/BndLib/FILES Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-01-22 13:46 dln New Issue
2014-01-22 13:46 dln Assigned To => abv
2014-01-22 13:51 dln Note Added: 0027598
2014-01-22 13:51 dln Relationship added child of 0024487
2014-01-22 13:51 dln Status new => resolved
2014-01-22 17:35 abv Note Added: 0027611
2014-01-22 17:35 abv Assigned To abv => bugmaster
2014-01-22 17:35 abv Status resolved => reviewed
2014-01-23 13:26 mkv Note Added: 0027627
2014-01-23 13:26 mkv Test case number => Not needed
2014-01-23 13:26 mkv Status reviewed => tested
2014-01-24 15:35 bugmaster Changeset attached => occt master 1190746b
2014-01-24 15:35 bugmaster Status tested => verified
2014-01-24 15:35 bugmaster Resolution open => fixed
2014-04-04 12:36 abv Target Version 6.7.1 => 6.8.0
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker